Bug 1296803 - screen package no longer sets title with -t
screen package no longer sets title with -t
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: screen (Show other bugs)
7.4
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Josef Ridky
Jan Kepler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 02:16 EST by Matt
Modified: 2018-01-01 20:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt 2016-01-08 02:16:30 EST
Description of problem:

screen -t no longer sets the screen title like it did in RHEL6 -- easily verifiable by looking at the screen name displayed in putty, terminal, etc.  this breaks attaching to screens with certain titles

Version-Release number of selected component (if applicable):

latest CENTOS 7

How reproducible:

always

Steps to Reproduce:
1. screen -t 'dog'
2.
3.

Actual results:
nothing (empty)

Expected results:
screen title becomes dog

Additional info:
Comment 2 Matt 2016-02-05 05:27:17 EST
Hello I was just checking on this to see if you needed any feedback.  I'm hoping since it is a reduction in functionality since RHEL6 that it might be something easy to re-port back in/fix.
Comment 3 Matt 2016-02-08 18:32:48 EST
Also one more element.  The reason why the bug fix is important is because it can be used to match in a more advanced way versus the screen name.  So if you want to attach a screen in RHEL6 you can use the title.  You can no longer do this in RHEL7 which is very problematic since it will not set the title appropriately.  Screen is still a very useful tool for many of us.

Note You need to log in before you can comment on or make changes to this bug.